/* ------------------

 共通

 ------------------ */

.single__wrap {
  padding: 0 12rem;
}

@media screen and (max-width: 1024px) {
  .single__wrap {
    padding: 0 2.4rem;
  }
}

#single01-mv {
  background-image: url("../img/bg-noise__blue.png");
  margin-bottom: 8rem;
}

.single01-mv__inner {
  position: relative;
  display: flex;
  align-items: center;
}

.single01-mv__img {
  width: 55%;
  height: 100%;
  padding: 2.4rem;
  height: calc(100vh - 20rem);
  min-height: 48rem;

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 2.4rem;
    overflow: hidden;
  }
}

.single01-mv__title {
  width: 45%;
  padding: 8rem 4rem;

  h1 {
    font-size: 3.2rem;
    margin-bottom: 4rem;
  }
}

.single01-mv__category {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  font-size: 1.4rem;
  font-weight: 600;

  &::before {
    content: "";
    display: inline-block;
    width: 0.8rem;
    height: 0.8rem;
    border-radius: 50%;
    background-color: var(--sub-blue);
  }
}

.single01-mv__anchor__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 3.2rem 1.6rem;
  padding: 0 2.4rem;

  > li {
    width: calc(100% / 2 - (1.6rem / 2));
    a {
      position: relative;
      display: inline-block;
      padding: 1.6rem 1.6rem 2.4rem;
      color: var(--white);
      background-color: var(--main-blue);
      border: solid 1px var(--main-blue);
      width: 100%;
      font-size: 1.4rem;
      text-align: center;
      border-radius: 0.8rem;
      transition: 0.4s;

      &::before {
        content: "";
        display: inline-block;
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 4rem;
        height: 4rem;
        background-color: var(--white);
        border: solid 1px var(--main-blue);
        border-radius: 50%;
        transition: 0.4s;
      }

      &::after {
        content: "";
        display: inline-block;
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
        width: 0.8rem;
        height: 0.8rem;
        border-right: solid 1px var(--main-blue);
        border-bottom: solid 1px var(--main-blue);
        transition: 0.4s;
      }
    }
  }
}

@media (any-hover: hover) {
  .single01-mv__anchor__list {
    > li {
      a:hover {
        color: var(--main-blue);
        background-color: var(--white);
      }
    }
  }
}

@media screen and (max-width: 1024px) {
  .single01-mv__title {
    padding: 8rem 2.4rem;
  }
}

@media screen and (max-width: 768px) {
  .single01-mv__inner {
    flex-direction: column;
  }

  .single01-mv__img {
    width: 100%;
    height: auto;
    min-height: 100%;
    height: 40rem;
  }

  .single01-mv__title {
    width: 100%;
    padding: 0 2.4rem 12rem;

    h1 {
      font-size: 2.8rem;
    }
  }

  .single01-mv__anchor__list {
    padding: 0;
  }
}

.single02-bg {
  background-image: url("../img/bg-noise__blue.png");
  padding-bottom: 8rem;
  border-radius: 0 0 4rem 4rem;
}

#single02-mv {
  margin-bottom: 2.4rem;
  #breadcrumbs {
    background-color: transparent;
  }
}

.single02-mv__inner {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  min-height: 32rem;
  padding: 4rem 12rem;
}

.single02-mv__title {
  h1 {
    font-size: 3.2rem;
  }
  time {
    display: block;
    text-align: center;
    color: var(--sub-blue);
    margin-bottom: 0.8rem;
    font-size: 1.4rem;
    font-weight: 600;
  }
}

.single02__content {
  padding: 8rem;
  background-color: var(--white);
  border-radius: 2.4rem;
  margin-bottom: 4rem;
}

@media screen and (max-width: 1024px) {
  .single02-mv__inner {
    padding: 4rem 2.4rem;
  }

  .single02__content {
    padding: 4rem;
  }
}

@media screen and (max-width: 768px) {
  .single02-mv__title {
    h1 {
      font-size: 2.4rem;
    }
  }
}

/* ------------------

　ツアー詳細

 ------------------ */

/* -- 概要 -- */
.tour-info__inner {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.4rem 8rem;
  margin-bottom: 8rem;
}

.tour-info__slider__content {
  width: 45%;
}

.tour-slider {
  .swiper-pagination-bullet {
    width: 1.6rem;
    height: 1.6rem;
    margin: 0 0.8rem !important;
    background-color: var(--white);
    border: solid 1px var(--main-blue);
    opacity: 1;
  }

  .swiper-pagination-bullet-active {
    background-color: var(--main-blue);
  }
}

.tour-slider__item {
  padding: 0 0.8rem;
}

.tour-slider__item__img {
  > div {
    aspect-ratio: 1.6 / 1;
    overflow: hidden;
    border-radius: 1.6rem;
    margin-bottom: 0.4rem;
    background-color: var(--gray-light);

    img {
      object-fit: contain;
      width: 100%;
      height: 100%;
    }
  }

  figcaption {
    font-size: 1.4rem;
    padding-bottom: 4.8rem;
  }
}

.tour-info__def {
  > div {
    display: flex;
    align-items: center;
    gap: 1.6rem;
    margin-bottom: 1.6rem;

    &:last-of-type {
      margin-bottom: 0;
    }

    dt {
      font-weight: 600;
      width: 12rem;
    }

    dd {
      flex: 1;
      position: relative;
      padding-left: 6.4rem;

      &::before {
        content: "";
        display: inline-block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
        width: 4rem;
        border-top: 0.3rem dotted var(--gray-normal);
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .tour-info__inner {
    flex-direction: column;
  }

  .tour-info__slider__content {
    width: 100%;
  }

  .tour-info__def {
    width: 100%;
  }
}

/* -- 本コースのお得情報 -- */
#tour-useful {
  position: relative;
  background-image: url("../img/bg-noise__blue.png");
  padding: 8rem 0;
  margin-bottom: 8rem;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    aspect-ratio: 1440 / 80;
    background-image: url("../img/bg-wave__wh01.png");
    background-size: 100%;
    background-repeat: no-repeat;
  }

  &::after {
    content: "";
    display: inline-block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    aspect-ratio: 1440 / 80;
    background-image: url("../img/bg-wave__wh02.png");
    background-size: 100%;
    background-repeat: no-repeat;
  }
}

.tour-useful__wrap {
  padding: 8rem 12rem;
}

.tour-useful__inner {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 2.4rem 8rem;
}

.tour-useful__def {
  width: 64rem;

  > div {
    dt {
      cursor: pointer;
      position: relative;
      font-weight: 600;
      padding: 4rem;
      border-bottom: solid 1px var(--gray-normal);

      span {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 1.6rem;
        display: inline-block;
        width: 4rem;
        height: 4rem;

        &::before,
        &::after {
          content: "";
          display: inline-block;
          position: absolute;
          top: 50%;
          left: 50%;
          width: 2.4rem;
          height: 1px;
          background-color: var(--main-blue);
          transition: 0.4s;
        }

        &::before {
          transform: translate(-50%, -50%);
        }

        &::after {
          transform: translate(-50%, -50%) rotate(90deg);
        }
      }
    }

    dd {
      padding: 0 4rem;
      opacity: 0;
      max-height: 0;
      transition: 0.4s;
    }

    &.is-active {
      dt {
        span {
          &::before {
            opacity: 0;
          }

          &::after {
            transform: translate(-50%, -50%);
          }
        }
      }

      dd {
        padding: 0 4rem;
        margin: 4rem 0;
        opacity: 1;
        max-height: 100vh;
      }
    }
  }
}

@media screen and (max-width: 1024px) {
  .tour-useful__wrap {
    padding: 8rem 2.4rem;
  }
}

@media screen and (max-width: 768px) {
  .tour-useful__inner {
    flex-direction: column;
  }

  .tour-useful__def {
    width: 100%;

    > div {
      dt {
        padding: 2.4rem;

        span {
          width: 2.4rem;
          height: 2.4rem;

          &::before,
          &::after {
            width: 1.6rem;
          }
        }
      }
      dd {
        padding: 0 2.4rem;
      }
      &.is-active {
        dd {
          padding: 2.4rem;
        }
      }
    }
  }
}

/* -- 旅程 -- */
.tour-schedule__inner {
  display: flex;
  gap: 2.4rem 4rem;
  margin-bottom: 8rem;
}

.tour-schedule__text {
  width: 55%;
}

.tour-schedule__table--td span {
  position: relative;
  display: block;
  width: 100%;
  margin-top: 0.4rem;
  padding-top: 0.4rem;

  &::before {
    content: "";
    display: inline-block;
    width: calc(100% + 1.6rem);
    height: 1px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    border-top: dotted 1px var(--gray-normal);
  }
}

.tour-schedule__table--td span:first-of-type {
  margin-top: 0;
  padding-top: 0;

  &::before {
    display: none;
  }
}

.tour-schedule__table--note {
  font-size: 1.4rem;
}

.tour-schedule__slider__content {
  width: 45%;
}

@media screen and (max-width: 1024px) {
}

@media screen and (max-width: 768px) {
  .tour-schedule__inner {
    display: flex;
    flex-direction: column;

    .main-heading {
      order: -2;
    }
  }

  .tour-schedule__text {
    display: contents;
    width: 100%;
  }

  .tour-schedule__slider__content {
    order: -1;
    width: 100%;
  }
}

/* -- 料金表 -- */
.tour-bg__gray {
  border-radius: 4rem;
  padding: 8rem 12rem;
  margin-bottom: 8rem;
  background-color: var(--gray-light);
}

#tour-price {
  margin-bottom: 8rem;
}

.tour-price__tablefee,
.tour-price__free-column,
.tour-price__cancel-policy,
.tour-price__important-points {
  margin-bottom: 2.4rem;
}

.tour-price__free-column {
  font-size: 1.4rem;
  padding: 4rem;
  border-radius: 0.8rem;
  border: solid 1px var(--gray-heavy);

  h3 {
    font-size: 1.6rem;
    font-weight: 600;
    font-family: hiragino-kaku-gothic-pron, sans-serif;
    color: var(--main-blue);
    margin-bottom: 1.6rem;
  }

  > div {
    max-height: 32rem;
    padding-right: 2.4rem;
    overflow-y: scroll;
    cursor: grab;
  }
}

.tour-price__cancel-policy,
.tour-price__important-points {
  font-size: 1.4rem;
  padding: 4rem;
  background-color: var(--white);
  border-radius: 0.8rem;
  border: solid 1px var(--gray-normal);

  h3 {
    font-size: 1.6rem;
    font-weight: 600;
    font-family: hiragino-kaku-gothic-pron, sans-serif;
    color: var(--main-blue);
    margin-bottom: 1.6rem;
  }

  > div {
    max-height: 32rem;
    padding-right: 2.4rem;
    overflow-y: scroll;
    cursor: grab;
  }
}

.tour-price__free-column > div::-webkit-scrollbar,
.tour-price__cancel-policy > div::-webkit-scrollbar,
.tour-price__important-points > div::-webkit-scrollbar {
  width: 0.8rem;
}

.tour-price__free-column > div::-webkit-scrollbar-track {
  background-color: var(--gray-light);
  border-radius: 0.8rem;
}

.tour-price__cancel-policy > div::-webkit-scrollbar-track,
.tour-price__important-points > div::-webkit-scrollbar-trackr {
  background-color: var(--white);
  border-radius: 0.8rem;
}

.tour-price__free-column > div::-webkit-scrollbar-thumb,
.tour-price__cancel-policy > div::-webkit-scrollbar-thumb,
.tour-price__important-points > div::-webkit-scrollbar-thumb {
  background-color: var(--main-blue);
  border-radius: 0.8rem;
}

@media screen and (max-width: 1024px) {
  .tour-bg__gray {
    padding: 12rem 2.4rem;
  }
}

/* -- キャンセル料 -- */
#tour-cancel-fee {
}

.tour-cancel-fee__wrap {
  background-color: var(--white);
  padding: 8rem;
  border-radius: 2.4rem;
  margin-top: 8rem;
  margin-bottom: 8rem;
}

.tour-cancel-fee__list {
  margin-top: 4rem;
  margin-bottom: 4rem;

  > li {
    margin-bottom: 8rem;

    &:last-of-type {
      margin-bottom: 0;
    }

    h3 {
      font-size: 2.1rem;
      font-weight: 600;
      font-family: hiragino-kaku-gothic-pron, sans-serif;
      color: var(--main-blue);
      margin-bottom: 1.6rem;
    }
  }
}

.tour-cancel-fee__note {
  font-size: 1.2rem;
}

.tour-btn__list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.4rem 8rem;
}

@media screen and (max-width: 1024px) {
  .tour-cancel-fee__wrap {
    padding: 8rem 1.6rem;
  }
}

@media screen and (max-width: 768px) {
  .tour-price__free-column,
  .tour-price__cancel-policy,
  .tour-price__important-points {
    padding: 2.4rem;
  }
  
  .tour-btn__list {
    flex-direction: column;
  }
}
